# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "coldcard"
version = "0.10.0"
authors = ["Alfred Hodler <alfred_hodler@protonmail.com>"]
description = "Coldcard Wallet Interface Library in Rust"
readme = "README.md"
keywords = [
    "coldcard",
    "bitcoin",
    "wallet",
]
categories = [
    "command-line-utilities",
    "cryptography::cryptocurrencies",
    "hardware-support",
]
license = "MIT"
repository = "https://github.com/alfred-hodler/rust-coldcard/"

[dependencies.aes-ctr]
version = "0.6.0"

[dependencies.base58]
version = "0.2.0"

[dependencies.bitcoin_hashes]
version = "0.12.0"

[dependencies.hidapi]
version = "2.4.1"
default-features = false

[dependencies.k256]
version = "0.13.1"
features = ["arithmetic"]

[dependencies.log]
version = "0.4.17"
optional = true

[dependencies.rand]
version = "0.8.5"

[features]
default = ["linux-static-hidraw"]
linux-static-hidraw = ["hidapi/linux-static-hidraw"]
linux-static-libusb = ["hidapi/linux-static-libusb"]
